commit:     2f6983e27a4c6d5ea7250f9409809a704f817c85
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Fri Mar 10 23:02:41 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Mon Mar 20 06:43:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f6983e2

www-apps/hugo: add 0.111.3

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 www-apps/hugo/Manifest            |  2 +
 www-apps/hugo/hugo-0.111.3.ebuild | 92 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/www-apps/hugo/Manifest b/www-apps/hugo/Manifest
index 549c73109538..82e456ea2c2a 100644
--- a/www-apps/hugo/Manifest
+++ b/www-apps/hugo/Manifest
@@ -1,2 +1,4 @@
 DIST hugo-0.110.0-vendor.tar.xz 5792924 BLAKE2B 
a70283d9b5764c3340591e40d6472c0f14b029e5bed086c4f294951e00a45041a869868884328ea39b75caccf8e2089250a98502a3ec38c730989a77e55c976b
 SHA512 
c6a0cd262934b6434eac7122a0ec257ca4eec1611b938585e6ee22d56991632fd5e52c061d552772e0e8bd10e13c23aecc461d52c23dff009e8e522b651642da
 DIST hugo-0.110.0.tar.gz 29055652 BLAKE2B 
d8c9e04c3141f02eeea1a951ba92c552148b604817e60041a3b944ccea37565ab8a6c3a47300877f5497d4575df4cdf598627d8dea65a1c935073b7bd8e99b70
 SHA512 
b64a6fa50201c0d95bf49fd0193138123163e0dad077491cc4c3e0d851de03ed2cd2e81482c1e6291d9a10d2d99f89c9dbbcfaafcd17f702906901dc6f28b3de
+DIST hugo-0.111.3-vendor.tar.xz 5812152 BLAKE2B 
c3daccdd3e6841df3a45c4fb7c82cf5ffba0a9267881733898c54814fbc0707f0cb110604de1a0604d986bc8668347b71eb9b845217a6c1a5764a776282caea3
 SHA512 
ba08add570db8d8f92a31474252470f3b6440884c9d595a8bd128a0c8f9ce066553e28531c331ddc51e8f665acb555ec8f31525ceda94c5542be229b80b1a274
+DIST hugo-0.111.3.tar.gz 29191902 BLAKE2B 
a5c4bf3f53579b7870e5a0bed247feff016d3a06c0683949ecada5083db07ee2108c712b41b1f15edd42f0a77d5649657d3fe76d8704a8a7668911a56b045e3b
 SHA512 
fd9fa9138cf714572d50328abc332edcdaaa3d45440914705d0d2119fd2a062c8df59732d9f5c23f540076e0c5a4104ac1d332f8633d93ab1479f82dd5ecce39

diff --git a/www-apps/hugo/hugo-0.111.3.ebuild 
b/www-apps/hugo/hugo-0.111.3.ebuild
new file mode 100644
index 000000000000..ebf86fa34f56
--- /dev/null
+++ b/www-apps/hugo/hugo-0.111.3.ebuild
@@ -0,0 +1,92 @@
+# Copyright 2018-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module bash-completion-r1
+
+DESCRIPTION="Fast static HTML and CSS website generator"
+HOMEPAGE="https://gohugo.io https://github.com/gohugoio/hugo";
+SRC_URI="
+       https://github.com/gohugoio/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+       https://tastytea.de/files/gentoo/${P}-vendor.tar.xz
+"
+
+# NOTE: To create the vendor tarball, run:
+# `go mod vendor && cd .. && tar -caf ${P}-vendor.tar.xz ${P}/vendor`
+
+LICENSE="Apache-2.0 BSD BSD-2 MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+IUSE="doc +sass test"
+
+BDEPEND="
+       >=dev-lang/go-1.18
+       test? (
+               dev-python/docutils
+               dev-ruby/asciidoctor
+               virtual/pandoc
+       )
+"
+RDEPEND="
+       >=media-libs/libwebp-1.2.3-r1:=
+       sass? ( dev-libs/libsass:= )
+"
+DEPEND="${RDEPEND}"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.96.0-unbundle-libwebp-and-libsass.patch
+       "${FILESDIR}"/${PN}-0.110.0-skip-some-tests.patch
+       "${FILESDIR}"/${PN}-0.99.1-test-timeout.patch
+)
+
+src_configure() {
+       export CGO_ENABLED=1
+       export CGO_CFLAGS="${CFLAGS}"
+       export CGO_CPPFLAGS="${CPPFLAGS}"
+       export CGO_CXXFLAGS="${CXXFLAGS}"
+       export CGO_LDFLAGS="${LDFLAGS}"
+       export EGO_BUILD_FLAGS="$(usev sass "-tags extended")"
+
+       default
+}
+
+src_compile() {
+       mkdir -pv bin || die
+       ego build -ldflags "-X 
github.com/gohugoio/hugo/common/hugo.vendorInfo=gentoo:${PVR}" \
+               -o "${S}/bin/hugo"
+
+       bin/hugo gen man --dir man || die
+
+       mkdir -pv completions || die
+       bin/hugo completion bash > completions/hugo || die
+       bin/hugo completion fish > completions/hugo.fish || die
+       bin/hugo completion zsh > completions/_hugo || die
+
+       if use doc ; then
+               bin/hugo gen doc --dir doc || die
+       fi
+}
+
+src_test() {
+       ego test "./..."
+}
+
+src_install() {
+       dobin bin/*
+       doman man/*
+
+       dobashcomp completions/${PN}
+
+       insinto /usr/share/fish/vendor_completions.d
+       doins completions/${PN}.fish
+
+       insinto /usr/share/zsh/site-functions
+       doins completions/_${PN}
+
+       if use doc ; then
+               dodoc -r doc/*
+       fi
+}

Reply via email to